commit: b9a0956be6cfedb4fe5cb4d4f94b1675db4dff3e
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 14 20:42:25 2018 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Oct 14 20:45:44 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9a0956b
sci-chemistry/apbs: Several missing || die
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11
sci-chemistry/apbs/apbs-1.4.1-r2.ebuild | 14 +++++++++-----
1 file changed, 9 insertions(+), 5 deletions(-)
diff --git a/sci-chemistry/apbs/apbs-1.4.1-r2.ebuild
b/sci-chemistry/apbs/apbs-1.4.1-r2.ebuild
index aecbcd3ce74..2f20af9fb69 100644
--- a/sci-chemistry/apbs/apbs-1.4.1-r2.ebuild
+++ b/sci-chemistry/apbs/apbs-1.4.1-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -63,7 +63,8 @@ src_prepare() {
use doc && MAKEOPTS+=" -j1"
if use python; then
unset PATCHES || die
- cd tools/python && distutils-r1_src_prepare
+ cd tools/python || die
+ distutils-r1_src_prepare
fi
}
@@ -92,7 +93,8 @@ src_configure() {
)
cmake-utils_src_configure
if use python; then
- cd tools/python && distutils-r1_src_configure
+ cd tools/python || die
+ distutils-r1_src_configure
fi
}
@@ -100,7 +102,8 @@ src_compile(){
cmake-utils_src_compile
if use python; then
append-ldflags -L"${S}"/lib
- cd tools/python && distutils-r1_src_compile
+ cd tools/python || die
+ distutils-r1_src_compile
fi
}
@@ -121,7 +124,8 @@ src_install() {
fi
done
if use python; then
- cd tools/python && distutils-r1_src_install
+ cd tools/python || die
+ distutils-r1_src_install
rm -rf "${ED}"/usr/share/apbs/tools/python || die
fi
}